Name:           cura-providers
Version:        0.0.1
Release:        2%{?dist}
Summary:        Set of basic CIM providers

License:        GPLv2+
URL:            http://fedorahosted.org/cura/
Source0:        http://fedorahosted.org/released/cura-providers/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  konkretcmpi-devel
BuildRequires:  sblim-cmpi-devel
BuildRequires:  cim-schema
# For cura-power
BuildRequires:  upower-devel
# For cura-fan
BuildRequires:  lm_sensors-devel

# For reg2pegasus.py script
Requires:       python2
# sblim-sfcb or tog-pegasus
Requires:       cim-server


%description
%{name} is set of (usually) small CMPI providers (agents) for basic
monitoring and management of host system using Common Information
Model (CIM).

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%package -n cura-fan
Summary:        CIM provider for controlling fans
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n cura-fan
%{summary}.


%package -n cura-powermanagement
Summary:        Power management CIM provider
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       upower

%description -n cura-powermanagement
%{summary}.


%package -n cura-service
Summary:        CIM provider for controlling system services
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n cura-service
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%files
%doc README COPYING
%dir %{_datadir}/%{name}
%{_libdir}/libcuracommon.so.*
%attr(755, root, root) %{_datadir}/%{name}/register.sh
%attr(755, root, root) %{_datadir}/%{name}/reg2pegasus.py*

%files devel
%{_libdir}/libcuracommon.so

%files -n cura-fan
%doc README COPYING
%{_libdir}/cmpi/libcmpiCura_Fan.so
%{_datadir}/%{name}/Cura_Fan.mof
%{_datadir}/%{name}/Cura_Fan.reg

%files -n cura-powermanagement
%doc README COPYING
%{_libdir}/cmpi/libcmpiCura_PowerManagement.so
%{_datadir}/%{name}/Cura_PowerManagement.mof
%{_datadir}/%{name}/Cura_PowerManagement.reg

%files -n cura-service
%doc README COPYING
%attr(755, root, root) %{_libexecdir}/servicedisc.sh
%attr(755, root, root) %{_libexecdir}/serviceutil.sh
%{_libdir}/cmpi/libcmpiCura_Service.so
%{_datadir}/%{name}/Cura_Service.mof
%{_datadir}/%{name}/Cura_Service.reg


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre -n cura-fan
# If upgrading, deregister old version
if [ "$1" -gt 1 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/Cura_Fan.mof \
        %{_datadir}/%{name}/Cura_Fan.reg \
        > /dev/null 2>&1 || :;
fi

%pre -n cura-powermanagement
if [ "$1" -gt 1 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/Cura_PowerManagement.mof \
        %{_datadir}/%{name}/Cura_PowerManagement.reg \
        > /dev/null 2>&1 || :;
fi

%pre -n cura-service
if [ "$1" -gt 1 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/Cura_Service.mof \
        %{_datadir}/%{name}/Cura_Service.reg \
        > /dev/null 2>&1 || :;
fi

%post -n cura-fan
# Register Schema and Provider
if [ "$1" -ge 1 ]; then
    %{_datadir}/%{name}/register.sh register \
        %{_datadir}/%{name}/Cura_Fan.mof \
        %{_datadir}/%{name}/Cura_Fan.reg \
        > /dev/null 2>&1 || :;
fi

%post -n cura-powermanagement
if [ "$1" -ge 1 ]; then
    %{_datadir}/%{name}/register.sh register \
        %{_datadir}/%{name}/Cura_PowerManagement.mof \
        %{_datadir}/%{name}/Cura_PowerManagement.reg \
        > /dev/null 2>&1 || :;
fi

%post -n cura-service
if [ "$1" -ge 1 ]; then
    %{_datadir}/%{name}/register.sh register \
        %{_datadir}/%{name}/Cura_Service.mof \
        %{_datadir}/%{name}/Cura_Service.reg \
        > /dev/null 2>&1 || :;
fi


%preun -n cura-fan
# Deregister only if not upgrading
if [ "$1" -eq 0 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/Cura_Fan.mof \
        %{_datadir}/%{name}/Cura_Fan.reg \
        > /dev/null 2>&1 || :;
fi

%preun -n cura-powermanagement
if [ "$1" -eq 0 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/Cura_PowerManagement.mof \
        %{_datadir}/%{name}/Cura_PowerManagement.reg \
        > /dev/null 2>&1 || :;
fi

%preun -n cura-service
if [ "$1" -eq 0 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/Cura_Service.mof \
        %{_datadir}/%{name}/Cura_Service.reg \
        > /dev/null 2>&1 || :;
fi


%changelog
* Fri Aug 03 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-2
- BR: cim-schema
- Don't clean buildroot in install
- Fix typo

* Tue Jul 31 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-1
- Initial package

